<template>
  <div class="row justify-content-center">
    <div class="col-8">
      <form name="editForm" role="form" novalidate v-on:submit.prevent="save()">
        <h2
          id="gatewayApp.manillaPasos.home.createOrEditLabel"
          data-cy="PasosCreateUpdateHeading"
          v-text="$t('gatewayApp.manillaPasos.home.createOrEditLabel')"
        >
          Create or edit a Pasos
        </h2>
        <div>
          <div class="form-group" v-if="pasos.id">
            <label for="id" v-text="$t('global.field.id')">ID</label>
            <input type="text" class="form-control" id="id" name="id" v-model="pasos.id" readonly />
          </div>
          <div class="form-group">
            <label class="form-control-label" v-text="$t('gatewayApp.manillaPasos.nroPasos')" for="pasos-nroPasos">Nro Pasos</label>
            <input
              type="number"
              class="form-control"
              name="nroPasos"
              id="pasos-nroPasos"
              data-cy="nroPasos"
              :class="{ valid: !$v.pasos.nroPasos.$invalid, invalid: $v.pasos.nroPasos.$invalid }"
              v-model.number="$v.pasos.nroPasos.$model"
            />
          </div>
          <div class="form-group">
            <label class="form-control-label" v-text="$t('gatewayApp.manillaPasos.timeInstant')" for="pasos-timeInstant"
              >Time Instant</label
            >
            <div class="d-flex">
              <input
                id="pasos-timeInstant"
                data-cy="timeInstant"
                type="datetime-local"
                class="form-control"
                name="timeInstant"
                :class="{ valid: !$v.pasos.timeInstant.$invalid, invalid: $v.pasos.timeInstant.$invalid }"
                :value="convertDateTimeFromServer($v.pasos.timeInstant.$model)"
                @change="updateInstantField('timeInstant', $event)"
              />
            </div>
          </div>
          <div class="form-group">
            <label class="form-control-label" v-text="$t('gatewayApp.manillaPasos.user')" for="pasos-user">User</label>
            <select class="form-control" id="pasos-user" data-cy="user" name="user" v-model="pasos.user">
              <option v-bind:value="null"></option>
              <option
                v-bind:value="pasos.user && userOption.id === pasos.user.id ? pasos.user : userOption"
                v-for="userOption in users"
                :key="userOption.id"
              >
                {{ userOption.login }}
              </option>
            </select>
          </div>
        </div>
        <div>
          <button type="button" id="cancel-save" data-cy="entityCreateCancelButton" class="btn btn-secondary" v-on:click="previousState()">
            <font-awesome-icon icon="ban"></font-awesome-icon>&nbsp;<span v-text="$t('entity.action.cancel')">Cancel</span>
          </button>
          <button
            type="submit"
            id="save-entity"
            data-cy="entityCreateSaveButton"
            :disabled="$v.pasos.$invalid || isSaving"
            class="btn btn-primary"
          >
            <font-awesome-icon icon="save"></font-awesome-icon>&nbsp;<span v-text="$t('entity.action.save')">Save</span>
          </button>
        </div>
      </form>
    </div>
  </div>
</template>
<script lang="ts" src="./pasos-update.component.ts"></script>
